summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author B. Watson2019-12-15 03:38:31 +0100
committer Willy Sudiarto Raharjo2019-12-15 03:38:31 +0100
commitd0eb95b72d177dcab1a2649a58f248fa13e1711b (patch)
tree632aecc1a41bce821c2dda1d4cf066d2a764b034 /libraries
parent3a0a7eb055345a80d164b41f99841da510a8641c (diff)
downloadslackbuilds-d0eb95b72d177dcab1a2649a58f248fa13e1711b.tar.gz
libraries/libfishsound: Added (unified API for audio codecs).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libfishsound/README13
-rw-r--r--libraries/libfishsound/libfishsound.SlackBuild108
-rw-r--r--libraries/libfishsound/libfishsound.info10
-rw-r--r--libraries/libfishsound/slack-desc19
4 files changed, 150 insertions, 0 deletions
diff --git a/libraries/libfishsound/README b/libraries/libfishsound/README
new file mode 100644
index 0000000000..9482b27193
--- /dev/null
+++ b/libraries/libfishsound/README
@@ -0,0 +1,13 @@
+libfishsound (unified API for xiph.org audio codecs)
+
+libfishsound provides a simple programming interface for decoding and
+encoding audio data using Xiph.Org codecs (FLAC, Speex and Vorbis).
+
+libfishsound is a wrapper around the existing codec libraries and provides
+a consistent, higher-level programming interface. It has been designed for
+use in a wide variety of applications; it has no direct dependencies on
+Ogg encapsulation, though it is most commonly used in conjunction with
+liboggz to decode or encode FLAC, Speex or Vorbis audio tracks in Ogg files,
+including Ogg Theora and Annodex.
+
+Optional dependency: speex. Autodetected at build time.
diff --git a/libraries/libfishsound/libfishsound.SlackBuild b/libraries/libfishsound/libfishsound.SlackBuild
new file mode 100644
index 0000000000..1ba41ad840
--- /dev/null
+++ b/libraries/libfishsound/libfishsound.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for libfishsound
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20191213 bkw: New package.
+# This only exists as a required dep for sonic-visualiser >= 4.0.
+
+PRGNAM=libfishsound
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sh autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-static \
+ --enable-shared \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# PV says we don't need these, and I agree
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/*.la
+
+# --docdir accepted and ignored. also, don't install the latex docs,
+# they're the source for the html docs. NEWS is 0 bytes, don't install.
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCDIR
+mv $PKG/usr/share/doc/$PRGNAM/html $DOCDIR
+rm -rf $PKG/usr/share/doc
+cp -a AUTHORS COPYING ChangeLog README release_notes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+if ldd $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM.so.*.*.* | grep -q speex; then
+ WITHSPEEX=with
+else
+ WITHSPEEX=without
+fi
+
+# Install the examples, source only.
+mkdir -p $DOCDIR/examples
+cp -a src/examples/*.c $DOCDIR/examples
+
+# Let the user know whether the optional speex dep is required. The other
+# audio codec dependencies (libogg, flac, libvorbis) are part of a full
+# Slackware install, we'll assume either they exist or the user knows
+# what he's doing.
+mkdir -p $PKG/install
+sed "s,@WITHSPEEX@,$WITHSPEEX," $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libfishsound/libfishsound.info b/libraries/libfishsound/libfishsound.info
new file mode 100644
index 0000000000..7ae295f75f
--- /dev/null
+++ b/libraries/libfishsound/libfishsound.info
@@ -0,0 +1,10 @@
+PRGNAM="libfishsound"
+VERSION="1.0.0"
+HOMEPAGE="http://github.com/kfish/libfishsound/"
+DOWNLOAD="https://github.com/kfish/libfishsound/archive/1.0.0/libfishsound-1.0.0.tar.gz"
+MD5SUM="f7f3f4d9e8afb2a832b4a5d19d533ed3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/libraries/libfishsound/slack-desc b/libraries/libfishsound/slack-desc
new file mode 100644
index 0000000000..cf55bdac6f
--- /dev/null
+++ b/libraries/libfishsound/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libfishsound: libfishsound (unified API for xiph.org audio codecs)
+libfishsound:
+libfishsound: libfishsound provides a simple programming interface for decoding and
+libfishsound: encoding audio data using Xiph.Org codecs (FLAC, Speex and Vorbis).
+libfishsound:
+libfishsound: This package built @WITHSPEEX@ speex support.
+libfishsound:
+libfishsound:
+libfishsound:
+libfishsound:
+libfishsound: